Introduction:

The Kunena team is thrilled to announce the final release of Kunena 5.2, a native Joomla extension for Joomla 3.9. This version addresses most of the issues that were discovered in K 5.2 and issues discovered during the last development stages.

You need Joomla 3.9 to run Kunena 5.2, the minimal requirement for Php has been increased to 7.0.4. Kunena 5.2 can runs too with Php 8.0.

What's different?

Upgrading to K 5.2 involves changes that may affect Kunena's interoperability with other extensions installed on your site. For this reason it is advisable that you first test K 5.2 on a test site before you upgrade your live production site(s). At this stage the team is not treating interoperability with other Joomla extensions as the topmost priority. The main priority at this time is about installation/upgrade and operability as a standalone Joomla component.

Main changes in K5.2 :

  • New template : Crypsis B4 which is for people using Bootstrap 4.x on their sites
  • CKeditor 4 in replacement of others editors
  • Support of Php 8.0.0, you need at last Joomla! 3.9.23 to work with it but it remains issues with it
  • Prevent new users to add links in their messages or their profile signature
  • Most of the changes in this version is to fix bugs

See full changelog here:

https://github.com/Kunena/Kunena-Forum/tree/5.2.0

Download:

Download K5.2.0 here: https://github.com/Kunena/Kunena-Forum/releases/tag/5.2.0

Donations

Any donations are needed for future support.

Log in to comment

xillibit replied the topic:
2 years 1 month ago
xillibit's Avatar
Hello,

We have disabled the update to K5.2.0 because the version 5.2.1 is about to be released this week-end. So you will see in the Joomla! notiifcations the update of 5.2.1 and not the 5.2.0
fiat4x4.gr replied the topic:
2 years 1 month ago
fiat4x4.gr's Avatar

Oerlybird wrote: There is only Kunena 5.1 Update Site, not 5.2

 

exactly
 
Oerlybird replied the topic:
2 years 1 month ago
Oerlybird's Avatar
There is only Kunena 5.1 Update Site, not 5.2
ruud replied the topic:
2 years 1 month ago
ruud's Avatar
Hi, the reason could be that the update site for Kunena is disabled. This sometimes / randomly happens.
Back-end > Extensions > Update Sites > search for Kunena and make sure it is there and if it is, enabled
fiat4x4.gr replied the topic:
2 years 1 month ago
fiat4x4.gr's Avatar
Still nothing. 
 

5.1.19 is installed.
 

This is the very first time, the last 11 years, that happens.
xillibit replied the topic:
2 years 1 month ago
xillibit's Avatar
Try now, if have K5.1.19 installed it should said that you can update to K5.2.0
fiat4x4.gr replied the topic:
2 years 1 month ago
fiat4x4.gr's Avatar
Cache is cleared. The same result
 
Thank for your time.
xillibit replied the topic:
2 years 1 month ago
xillibit's Avatar
Clear cache in Joomla! or at level of extensions update part
fiat4x4.gr replied the topic:
2 years 1 month ago
fiat4x4.gr's Avatar
Although you enable automatic update, update is not offered in our website as an update. 


Thank you in advance.
xillibit replied the topic:
2 years 1 month ago
xillibit's Avatar
I have just enabled the automatic update for Kunena 5.2.0, if you want use Php 8.0.0 with Kunena 5.2.0 it's better to wait the release of J!3.9.24 planned in the begining of january which contains others fixes for support Php 8.0.0 and some are related to Kunena
xillibit replied the topic:
2 years 1 month ago
xillibit's Avatar
Hello,

It's because we haven't yet enabled the automatic update
Leen replied the topic:
2 years 1 month ago
Leen's Avatar
Why is the latest version kunena Kunena 5.2 not automatically offered in my website as an update?